### Enumeration

# Qmi WdsPdpHeaderCompressionType

since: 1.18

#### Declaration

    enum Qmi.WdsPdpHeaderCompressionType

#### Description [src]

PDP header compression types.

Available since: 1.18

#### Members

`QMI_WDS_PDP_HEADER_COMPRESSION_TYPE_OFF`

  No header compression.

  - Value: `0`
  - Available since: 1.18
`QMI_WDS_PDP_HEADER_COMPRESSION_TYPE_MANUFACTURER_PREFERRED`

  Manufacturer preferred.

  - Value: `1`
  - Available since: 1.18
`QMI_WDS_PDP_HEADER_COMPRESSION_TYPE_RFC1144`

  RFC1144.

  - Value: `2`
  - Available since: 1.18
`QMI_WDS_PDP_HEADER_COMPRESSION_TYPE_RFC2507`

  RFC2507.

  - Value: `3`
  - Available since: 1.18
`QMI_WDS_PDP_HEADER_COMPRESSION_TYPE_RFC3095`

  RFC3095.

  - Value: `4`
  - Available since: 1.18

#### Type functions

###### qmi_wds_pdp_header_compression_type_get_string

Gets the nickname string for the `QmiWdsPdpHeaderCompressionType` specified at `val`.

since: 1.18